# Get

Launch stage: GA

`GET /api/2.0/apps/{app_name}/deployments/{deployment_id}`

Retrieves information for the app deployment with the supplied name and deployment id.

API scopes: apps

## Path parameters

- `app_name` (string, optional)
  The name of the app.
- `deployment_id` (string, optional)
  The unique id of the deployment.

## Returns

Returns the AppDeployment object.

## Response

```json
{
  "deployment_id": "01ef0bda89f21f08a8351f41e4a9b948",
  "source_code_path": "/Workspace/user@test.com/my_custom_app",
  "git_source": {
    "git_repository": {},
    "branch": "main",
    "tag": "v1.0.0",
    "commit": "abc123def456",
    "source_code_path": "my-app",
    "resolved_commit": "abc123def456789012345678901234567890abcd"
  },
  "mode": "string",
  "deployment_artifacts": {
    "source_code_path": "/Workspace/Users/9627a015-e892-43f7-9085-eec3892da408/src/01ef1a1ed75d1964b62234a35efa61fc"
  },
  "status": {
    "state": "string",
    "message": "Deployment is in progress."
  },
  "create_time": "string",
  "creator": "user@test.com",
  "update_time": "string",
  "command": "python app.py",
  "env_vars": [
    {
      "name": "VOLUME_URI",
      "value": "/Volumes/catalog-name/schema-name/dir-name",
      "value_from": "volume"
    }
  ]
}
```

